"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const documents_1 = require("../../documents");
const CompletionsProvider_1 = require("../CompletionsProvider");
(0, vitest_1.describe)('Module: HtmlAttributeValueCompletionProvider', async () => {
    let provider;
    (0, vitest_1.beforeEach)(async () => {
        provider = new CompletionsProvider_1.CompletionsProvider(new documents_1.DocumentManager(), {
            filters: async () => [],
            objects: async () => [],
            tags: async () => [],
        });
    });
    (0, vitest_1.it)('should complete known void element attribute values', async () => {
        const expected = ['lazy', 'eager'].sort();
        await (0, vitest_1.expect)(provider).to.complete('<img loading="█"', expected);
    });
    (0, vitest_1.it)('should complete known tag attribute values', async () => {
        const expected = ['get', 'post', 'dialog'].sort();
        await (0, vitest_1.expect)(provider).to.complete('<form method="█"', expected);
    });
    (0, vitest_1.it)('should filter results', async () => {
        const expected = ['get'].sort();
        await (0, vitest_1.expect)(provider).to.complete('<form method="g█"', expected);
    });
});
//# sourceMappingURL=HtmlAttributeValueCompletionProvider.spec.js.map